使用weblogic发布war包遇到的坑

1.jar包冲突

首先由于tomcat和weblogic环境不一样,很多时候本地用tomcat开发运行都OK,然后打成war包之后放到weblogic下启动会报错,jar包冲突的错。

原因是你的项目中一些常见的包在weblogic中是自带的,所以只要将自己的war包打开,删除lib文件夹下的冲突包就行。

我用的weblogic是11g版本,需要删除的包是javaee-api,jaxb-impl 这两个包。

可能weblogic版本不一样冲突的包也不一样,待验证

除此之外,想在weblogic环境下发布成功,还需要一些其他的配置,下次再详细写一篇。

2.jdk版本不对应

weblogic的domain在安装的时候有一个默认的jdk,它的版本是1.6,但是现在很多人开发时候用的都是1.7或者1.8,所以需要版本对应,不然会出错。

解决方案是 :安装domain的时候指定一个自己的jdk,或者将自己的代码打包版本降到1.6.


阅读更多
个人分类: java 技术
上一篇自己写的工具类,获取日期,读取properties,xml,io流
下一篇linux环境下使用weblogic发布war包
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭